<template>
  <transition-group
    v-if="shown"
    name="tasks"
    tag="ul"
    class="flex flex-col gap-6"
  >
    <li
      v-for="t in tasks"
      :key="t.id"
      class="transition-all"
    >
      <Task :task="t" />
    </li>
  </transition-group>
</template>

<script lang="ts" setup>
import { useTasksStore } from '~/stores/tasks';
import { type ITask } from '~/entities/tasks';
import Task from './Task.vue';

const props = defineProps<{
  parent: ITask;
}>();

const { getTasksByParent } = useTasksStore();
const tasks = computed(() => getTasksByParent(props.parent.id));
const shown = computed(() => !!tasks.value.length);
</script>
